## vlc 2.2.0~pre2

=== debian/changelog ===
vlc (2.2.0~pre2-4build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:47:06 +0100

vlc (2.2.0~pre2-4) unstable; urgency=medium

  * debian/vlc-nox.install.in: libi420_yuy2_altivec_plugin.so moved to
    video_chroma. Fixes package build failure on powerpc.
  * Enable shine and vpx plugins:
    - debian/control: Add libshine-dev and libvpx-dev to B-D.
    - debian/rules: Pass --enable-shine and --enable-vpx.
    - debian/vlc-nox.isntall.in: Install new plugins.
  * debian/rules: Explicitly disable libtar support.
  * debian/control: Lower Recommends: libdvdcss2 to Suggests to comply with
    Policy §2.2.1. Thanks to Thorsten Alteholz.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Aug 2014 22:58:42 +0200

vlc (2.2.0~pre2-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump libavcodec-dev to >= 6:9 to make sure VDPAU decoding is available.
      (Closes: #728039)
    - Make Breaks and Replaces backport friendly.
    - Fix description of the transitional vlc-plugin-pulse package.
    - Added to Build-Depends: libegl1-mesa-dev, libvncserver-dev (>= 0.9.9),
      libgles1-mesa-dev, libgles2-mesa-dev.
    - Bump required versions in Build-Depends: libdbus-1-dev, libpulse-dev,
      libtag1-dev.
  * debian/rules:
    - Fix post{inst,rm}-has-useless-call-to-ldconfig lintian warning.
    - Enable OpenGL ES v1 and v2 plugins.
    - Enable VNC plugin support.
    - Disable svgdev plugin until libcairo2-dev >= 1.13 is available.
    - Rename configure options that are no longer available (--enable-dirac)
      and update nameing changes (--enable-libfreerdp -> --enable-freerdp,
      --disable-quicksync -> --disable-mfx).
  * debian/vlc-nox.links: Fix broken /usr/share/bug/vlc-nox symlink.

  [ Benjamin Drung ]
  * Bump required versions of libbluray-dev and libopus-dev (according to
    configure).

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Aug 2014 01:54:32 +0200

vlc (2.2.0~pre2-2) unstable; urgency=medium

  * Add vlc-plugin-samba package shipping the Samba plugin. (Closes: #729238)
    - debian/control: Add new vlc-plugin-samba package and add it to vlc's
      Recommends.
    - debian/vlc-{nox,plugin-samba}.install: Move Samba plugin to
      vlc-plugin-samba.
  * Remove vlc-plugin-pulse and put PulseAudio plugins to vlc.
    - debian/control: Turn vlc-plugin-pulse into a transitional package and
      remove it from vlc's Recommends.
    - debian/vlc-{plugin-pulse,}.install: Move PulseAudio plugins to vlc.
  * debian/rules: Improve check if plugins from vlc-nox are linked against
    libX11 or libxcb.
  * debian/vlc{-nox,}.install.in: Move RDP plugin to vlc to get rid of all
    libX11 and libxcb dependencies in vlc-nox.
  * debian/control:
    - Remove obsolete Replaces.
    - Remove obsolete Pre-Depends. dpkg (>= 1.15.6+) is even available in
      squeeze.
    - Mention all plugin packages in the Description.
    - Explicitly list libdbus-1-dev in Build-Depends.
    - Add myself to Uploaders.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Aug 2014 21:12:27 +0200

vlc (2.2.0~pre2-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/patches/freerdp-1.1.0-beta2-API.patch: Apply upstream patch to
    support FreeRDP 1.1.0-beta2 API. (Closes: #757951)

  [ Reinhard Tartler ]
  * New upstream release.
    - Fixes incorrect usage of AVFrame (Closes: #756329)
    - Fixes compilation against newer freerdp: (Closes: #758382, 757951)
  * Bump requirements on libdvdnav and libdvdread
  * Fixes compilation against libav11 (Closes: #758203)
  * Drop patches merged upstream
  * Refresh Hurd patch
  * Update installation paths for several modules
  * Disable libtar support (Closes: #737534)
  * Follow upstream SONAME bump libvlccore7 -> libvlccore8

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2014 18:39:45 -0400
