## vlc 2.2.0~rc2

=== debian/changelog ===
vlc (2.2.0~rc2-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for security vulnerabilities.
    (Closes: #775866)
    - codec-schroedinger-fix-potential-buffer-overflow.patch: fix potential
      buffer overflow. (CVE-2014-9629)
    - demux-mp4-fix-buffer-overflow-in-parsing-of-string-b.patch: fix buffer
      overflow in parsing of string boxes. (CVE-2014-9626, CVE-2014-9627,
      CVE-2014-9628)
    - stream_out-rtp-don-t-use-VLA-for-user-controlled-dat.patch: don't use
      VLA for user controlled data. (CVE-2014-9630)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Jan 2015 22:41:57 +0100

vlc (2.2.0~rc2-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault in ASCII art plugin. (Closes: #768873)
    - Fix selection of left/right channel in stereo mode. (Closes: #765830)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Nov 2014 13:14:07 +0100

vlc (2.2.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/vlc-nox.install.in: Correctly install sftp plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Nov 2014 17:26:34 +0100

vlc (2.2.0~pre4-2) unstable; urgency=medium

  * Revert "Disable FreeRDP plugin". (Closes: #764294)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Oct 2014 00:02:11 +0200

vlc (2.2.0~pre4-1) unstable; urgency=medium

  * New upstream release.
    - Add video/ogg and audio/ogg to desktop file. (Closes: #762564)
    - Fix output issues with VDPAU. (Closes: #759818)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Oct 2014 00:26:32 +0200

vlc (2.2.0~pre3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Fix typo in changelog

  [ Benjamin Drung ]
  * New upstream release.
  * Disable vpx plugin (not needed when having libavcodec)
  * Remove hurd.patch, because this is a bug in Hurd and not in VLC.
  * Disable OSS on Linux (Use ALSA on Linux instead of OSS.)

  [ Sebastian Ramacher ]
  * Disable FreeRDP plugin as requested by the Release Team because FreeRDP is
    currently broken. This allows us to finish the libav and libvlccore
    transition. As soon as FreeRDP is fixed, this change can be reverted:
    - debian/control: Remove libfreerdp-dev from Build-Depends.
    - debian/rules: Build with --disable-freerdp.
    - debian/vlc.install: Do not install the FreeRDP plugin.
  * debian/control:
    - Remove libdirac-dev from Build-Depends. It is no longer needed.
    - Bump Standars-Version. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Sep 2014 18:13:50 +0200
