=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
                libdbus-1-dev (>= 1.6.0),
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
-               libdirac-dev,
                libdirectfb-dev,
                libdvbpsi-dev | libdvbpsi5-dev,
                libdvdnav-dev (>> 4.9.0),
@@ -98,7 +97,6 @@
                libvdpau-dev,
                libvncserver-dev (>= 0.9.9),
                libvorbis-dev,
-               libvpx-dev,
                libx11-dev,
                libx264-dev (>= 2:0.86),
                libxcb-composite0-dev,
@@ -113,10 +111,10 @@
                libxpm-dev,
                libzvbi-dev (>= 0.2.28),
                lua5.2,
-               oss4-dev,
+               oss4-dev [kfreebsd-any],
                pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.videolan.org/vlc/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vlc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vlc.git
@@ -297,3 +295,4 @@
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: SDL video and audio output plugin for VLC
+ This plugin adds support for the Simple DirectMedia Layer library to
