=== debian/rules ===
--- 
+++ 
@@ -101,7 +101,6 @@
 	--enable-vdpau \
 	--enable-vnc \
 	--enable-vorbis \
-	--enable-vpx \
 	--enable-x264 \
 	--enable-zvbi \
 	--with-kde-solid=/usr/share/kde4/apps/solid/actions/ \
@@ -119,6 +118,7 @@
 # sndio -> not in Debian
 # svgdev -> libcairo2-dev is not new enough
 # telx -> incompatible with zvbi
+# vpx -> not needed when having libavcodec
 # vsxu -> not in Debian
 # wasapi -> Windows only
 confflags += \
@@ -134,6 +134,7 @@
 	--disable-sndio \
 	--disable-svgdec \
 	--disable-telx \
+	--disable-vpx \
 	--disable-vsxu \
 	--disable-wasapi \
 	$(NULL)
@@ -141,7 +142,8 @@
 # Linux specific flags
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 # omxil should be enabled on all systems, but libomxil-bellagio does
-# not build on kfreebsd and hurd (currently)
+# not build on kfreebsd and hurd (currently).
+# V4L2 is disabled on kFreeBSD due to a build failure.
 confflags += \
 	--enable-alsa \
 	--enable-atmo \
@@ -150,6 +152,7 @@
 	--enable-linsys \
 	--enable-omxil \
 	--enable-udev \
+	--enable-v4l2 \
 	$(NULL)
 else
 confflags += \
@@ -160,6 +163,7 @@
 	--disable-linsys \
 	--disable-omxil \
 	--disable-udev \
+	--disable-v4l2 \
 	$(NULL)
 removeplugins += \
 	alsa \
@@ -172,41 +176,26 @@
 	libomxil \
 	linsys \
 	libudev \
-	$(NULL)
-endif
-
-# Hurd specific flags
-ifeq (,$(filter-out hurd,$(DEB_HOST_ARCH_OS)))
-confflags += \
-	--disable-oss \
-	--disable-vcd
-removeplugins += \
-	oss \
-	cdda \
-	vcd \
-	$(NULL)
-else
-confflags += \
-	--enable-oss \
-	--enable-vcd \
-	$(NULL)
-endif
-
-# Linux and kFreeBSD specific flags
+	libv4l2 \
+	$(NULL)
+endif
+
+# Linux and kFreeBSD specific flags (disabled on Hurd)
 ifeq (,$(filter-out linux kfreebsd,$(DEB_HOST_ARCH_OS)))
-confflags += --enable-libva
-else
-confflags += --disable-libva
-removeplugins += libvaapi
-endif
-
-# Linux and kFreeBSD specific flags
-# kfreebsd disabled due to a build failure
-ifeq (,$(filter-out linux,$(DEB_HOST_ARCH_OS)))
-confflags += --enable-v4l2
-else
-confflags += --disable-v4l2
-removeplugins += libv4l2
+confflags += --enable-libva --enable-vcd
+else
+confflags += --disable-libva --disable-vcd
+removeplugins += cdda libvaapi vcd
+endif
+
+# kFreeBSD specific flags
+ifeq (,$(filter-out kfreebsd,$(DEB_HOST_ARCH_OS)))
+confflags += --enable-oss
+else
+# Note: Use ALSA on Linux instead of OSS.
+#       Ubuntu has disabled OSS support in their Linux kernel.
+confflags += --disable-oss
+removeplugins += oss
 endif
 
 # Linux amd64 and i386 specific flags
@@ -312,4 +301,3 @@
 override_dh_strip:
 	dh_strip --dbg-package=vlc-dbg
 
-override_dh_installdocs:
