=== debian/control ===
--- 
+++ 
@@ -81,7 +81,7 @@
                libshine-dev (>= 3.0.0),
                libshout3-dev,
                libsidplay2-dev,
-               libsmbclient-dev,
+               libsmbclient-dev [!hurd-any],
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
                libssh2-1-dev,
@@ -117,7 +117,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.videolan.org/vlc/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vlc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vlc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git
 
 Package: libvlc-dev
 Section: libdevel
@@ -134,7 +134,7 @@
 Package: libvlc5
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libvlccore8 (= ${binary:Version})
 Description: multimedia player and streamer library
  This package contains the shared library required by applications using VLC
  features.
@@ -295,4 +295,3 @@
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: SDL video and audio output plugin for VLC
- This plugin adds support for the Simple DirectMedia Layer library to
