=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,6 @@
 	--enable-fribidi \
 	--enable-gles1 \
 	--enable-gles2 \
-	--enable-glx \
 	--enable-gnutls \
 	--enable-jack \
 	--enable-kate \
@@ -90,7 +89,6 @@
 	--enable-shine \
 	--enable-shout \
 	--enable-skins2 \
-	--enable-smbclient \
 	--enable-speex \
 	--enable-svg \
 	--enable-taglib \
@@ -182,10 +180,10 @@
 
 # Linux and kFreeBSD specific flags (disabled on Hurd)
 ifeq (,$(filter-out linux kfreebsd,$(DEB_HOST_ARCH_OS)))
-confflags += --enable-libva --enable-vcd
-else
-confflags += --disable-libva --disable-vcd
-removeplugins += cdda libvaapi vcd
+confflags += --enable-libva --enable-vcd --enable-smbclient
+else
+confflags += --disable-libva --disable-vcd --disable-smbclient
+removeplugins += cdda libvaapi smbclient vcd
 endif
 
 # kFreeBSD specific flags
