## vlc 2.2.1

=== debian/changelog ===
vlc (2.2.1-3) unstable; urgency=high

  * debian/patches/demux-mp4-correctly-match-release-function.patch: Apply
    upstream patch to fix CVE-2015-5949. (Closes: #796255)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Aug 2015 08:22:53 +0200

vlc (2.2.1-2) unstable; urgency=medium

  * debian/rules:
    - Enable svgdec plugin
    - Remove obsolete dh_builddeb override.
    - Explicitly pass --enable-sdl-image.
  * debian/control:
    - Switch Build-Depends from Qt4 to Qt5.
    - Remove obsolete Breaks+Replaces.
    - Drop libdvbpsi5-dev from Build-Depends.
    - Add libcairo2-dev to Build-Depends for svgdec plugin.
  * debian/vlc.install.in: Install svgdec plugin.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Jun 2015 22:15:28 +0200

vlc (2.2.1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Regenerate plugin cache using triggers. (Closes: #755154) (LP: #1328466)
    - debian/vlc-nox.postinst: Run vlc-cache-gen.
    - debian/vlc-nox.postrm: Remove generated cache.
    - debian/rules: remove plugins.dat generated during the build.
    - debian/vlc-nox.install.in: Do not install pre-generated plugins.dat.
  * debian/control: Add libx265-dev and zsh to Build-Depends.
  * debian/rules:
    - Build with -Wl,--as-needed.
    - Enable x265 plugin.
    - Build zsh completion. (Closes: #316357)
  * debian/vlc-nox.install.in:
    - Install x265 plugin.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/patches:
    - Remove codec-schroedinger-fix-potential-buffer-overflow.patch
    -- included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 11:57:32 +0200
