=== debian/control ===
--- 
+++ 
@@ -22,10 +22,11 @@
                libass-dev (>= 0.9.8),
                libavahi-client-dev,
                libavc1394-dev (>= 0.5.3) [linux-any],
-               libavcodec-dev (>= 6:9) | libavcodec-ffmpeg-dev,
-               libavformat-dev (>= 4:0.6) | libavformat-ffmpeg-dev,
+               libavcodec-dev (>= 6:9),
+               libavformat-dev (>= 4:0.6),
                libbluray-dev (>= 1:0.3.0),
                libcaca-dev (>= 0.99.beta4),
+               libcairo2-dev (>= 1.13.1),
                libcddb2-dev,
                libcdio-dev (>= 0.78.2),
                libchromaprint-dev (>= 0.6.0),
@@ -34,7 +35,7 @@
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
                libdirectfb-dev,
-               libdvbpsi-dev | libdvbpsi5-dev,
+               libdvbpsi-dev,
                libdvdnav-dev (>> 4.9.0),
                libdvdread-dev (>> 4.9.0),
                libegl1-mesa-dev,
@@ -70,7 +71,7 @@
                libpng-dev,
                libpostproc-dev (>= 4:0.6),
                libpulse-dev (>= 1.0),
-               libqt4-dev (>= 4:4.6.0),
+               libqt5x11extras5-dev,
                libraw1394-dev (>= 2.0.1) [linux-any],
                libresid-builder-dev,
                librsvg2-dev,
@@ -85,7 +86,7 @@
                libspeex-dev (>= 1.0.5),
                libspeexdsp-dev (>= 1.0.5),
                libssh2-1-dev,
-               libswscale-dev (>= 4:0.6) | libswscale-ffmpeg-dev,
+               libswscale-dev (>= 4:0.6),
                libtag1-dev (>= 1.9),
                libtheora-dev (>= 1.0),
                libtwolame-dev (>= 0.3.8),
@@ -99,6 +100,7 @@
                libvorbis-dev,
                libx11-dev,
                libx264-dev (>= 2:0.86),
+               libx265-dev,
                libxcb-composite0-dev,
                libxcb-keysyms1-dev (>= 0.3.4),
                libxcb-randr0-dev (>= 1.3),
@@ -113,7 +115,9 @@
                lua5.2,
                oss4-dev [kfreebsd-any],
                pkg-config,
-               zlib1g-dev
+               qtbase5-dev (>= 5.1),
+               zlib1g-dev,
+               zsh
 Standards-Version: 3.9.6
 Homepage: http://www.videolan.org/vlc/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vlc.git
@@ -179,11 +183,9 @@
             vlc-plugin-samba (= ${binary:Version}),
             xdg-utils
 Suggests: videolan-doc
-Breaks: vlc-data (<< 1.1.5),
-        vlc-nox (<< 2.2.0~pre2-2~),
+Breaks: vlc-nox (<< 2.2.0~pre2-2~),
         vlc-plugin-pulse (<< 2.2.0~pre2-2~)
-Replaces: vlc-data (<< 1.1.5),
-          vlc-nox (<< 2.2.0~pre2-2~),
+Replaces: vlc-nox (<< 2.2.0~pre2-2~),
           vlc-plugin-pulse (<< 2.2.0~pre2-2~)
 Provides: mp3-decoder
 Description: multimedia player and streamer
@@ -205,8 +207,6 @@
 Package: vlc-data
 Depends: ${misc:Depends}
 Architecture: all
-Breaks: vlc-nox (<< 2.0.1-3)
-Replaces: mozilla-plugin-vlc (<< 0.9.2-1), vlc-nox (<< 2.0.1-3)
 Description: Common data for VLC
  Localisations, HTTP interface files, Lua scripts for VLC media player
  .
@@ -257,6 +257,7 @@
          vlc-nox (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Enhances: vlc
 Description: FluidSynth plugin for VLC
  This plugin adds support for playing MIDI file via the FluidSynth software
  synthesizer to the VLC media player.
@@ -268,6 +269,7 @@
 Package: vlc-plugin-jack
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Enhances: vlc
 Description: Jack audio plugins for VLC
  These plugins add support for JACK to the VLC media player. To
  activate the audio output module, use the `--aout jack' flag or
@@ -281,8 +283,7 @@
 Package: vlc-plugin-notify
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: vlc-nox (<< 1.1.2)
-Replaces: vlc-nox (<< 1.1.2)
+Enhances: vlc
 Description: LibNotify plugin for VLC
  This plugin adds support for libnotify track change notification to the
  VLC media player.
@@ -294,4 +295,7 @@
 Package: vlc-plugin-sdl
 Architecture: any
 Depends: vlc-nox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Enhances: vlc
 Description: SDL video and audio output plugin for VLC
+ This plugin adds support for the Simple DirectMedia Layer library to
+ the VLC media player. To activate it, use the `--vout sdl' or
