=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -85,12 +87,14 @@
 	--enable-samplerate \
 	--enable-schroedinger \
 	--enable-sdl \
+	--enable-sdl-image \
 	--enable-sftp \
 	--enable-shine \
 	--enable-shout \
 	--enable-skins2 \
 	--enable-speex \
 	--enable-svg \
+	--enable-svgdec \
 	--enable-taglib \
 	--enable-theora \
 	--enable-twolame \
@@ -100,6 +104,7 @@
 	--enable-vnc \
 	--enable-vorbis \
 	--enable-x264 \
+	--enable-x265 \
 	--enable-zvbi \
 	--with-kde-solid=/usr/share/kde4/apps/solid/actions/ \
 	$(NULL)
@@ -114,7 +119,6 @@
 # opencv -> developer plugin not required by end users
 # projectm -> broken
 # sndio -> not in Debian
-# svgdev -> libcairo2-dev is not new enough
 # telx -> incompatible with zvbi
 # vpx -> not needed when having libavcodec
 # vsxu -> not in Debian
@@ -130,7 +134,6 @@
 	--disable-opencv \
 	--disable-projectm \
 	--disable-sndio \
-	--disable-svgdec \
 	--disable-telx \
 	--disable-vpx \
 	--disable-vsxu \
@@ -252,6 +255,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
+override_dh_auto_build:
+	dh_auto_build
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+	# Build zsh completion
+	BUILDDIR=$(CURDIR) \
+	cd extras/analyser && ./zsh_completion.sh
+endif
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -267,6 +278,8 @@
 endif
 
 override_dh_install:
+	# Remove plugin cache
+	rm debian/tmp/usr/lib/vlc/plugins/plugins.dat
 	# Remove disabled plugins
 	sed "/\($(shell echo $(removeplugins) | sed 's/ /\\|/g')\)_/d" debian/vlc.install.in > debian/vlc.install
 	sed "/\($(shell echo $(removeplugins) | sed 's/ /\\|/g')\)_/d" debian/vlc-nox.install.in > debian/vlc-nox.install
@@ -288,14 +301,3 @@
 	for file in $$(find debian/vlc-nox/usr/lib/vlc -name '*.so'); do \
 		if ldd -r $$file | egrep -q -e 'libX11\.so' -e 'libxcb\.so'; then \
 			BORKED=yes; \
-			echo $$file depends on libX11 or libxcb; \
-		fi; \
-	done; \
-	if test "$$BORKED" = yes; then exit 1; fi
-endif
-	$(if $(shell dpkg-vendor --is Ubuntu && echo true),dh_install -pvlc-nox debian/source_vlc.py usr/share/apport/package-hooks/)
-	dh_buildinfo -p vlc-nox
-
-override_dh_strip:
-	dh_strip --dbg-package=vlc-dbg
-
